ACN::RLP::UDP::transport Struct Reference

2. More...

`#include <udp.h>`

Inheritance diagram for ACN::RLP::UDP::transport:
[legend]

## Public Member Functions

| transport (bool filled=false)
| preamble::preamble More...
size_t | streamSize () const override
| streamSize More...
void | iStream (PDU::Stream) override
| preamble_t::iStream More...
void | oStream (PDU::Stream) const override
| preamble_t::oStream More...

## Public Attributes

uint16_t | length = 0
| length of preamble + PDU block
uint16_t | postamble_size = 0
| length of postamble
uint8_t | acn_id [12]
| packet identifier
PDU::Block< RLP::Pdu > | root
| root PDU block

## Detailed Description

2.

Preamble Format

## Constructor & Destructor Documentation

## transport()

ACN::RLP::UDP::transport::transport | ( | bool | filled = `false` | ) |

preamble::preamble

Parameters

  filled |

< 3. The postamble field shall be empty.

## Member Function Documentation

## iStream()

void ACN::RLP::UDP::transport::iStream | ( | PDU::Stream | stream | ) |

overridevirtual

preamble_t::iStream

Parameters

  stream |

1. Preamble Format: The preamble size includes both size fields so the minimum value for preamble size is 16 (octets).

1. Preamble Format: The ACN Packet Identifier shall be the text string “ASC-E1.17\0\0\0” encoded in [ASCII].

Implementations shall compute the size and position of the PDU block from the preamble size and postamble size provided. ... ignoring any extra octets in the preamble or postamble.

Implements ACN::PDU::pdu_stream_object.

## oStream()

void ACN::RLP::UDP::transport::oStream | ( | PDU::Stream | stream | ) | const

overridevirtual

preamble_t::oStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

## streamSize()

size_t ACN::RLP::UDP::transport::streamSize | ( |  | ) | const

inlineoverridevirtual

streamSize

Returns
  length (count of octets) on the wire

Implements ACN::PDU::pdu_stream_object.

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/rlp/udp.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/rlp/udp.cpp